/*
	some constant definitions for new(File,...)
*/
/* File Attributes */
#define FA_RDONLY "$01"    /* Read only file       */
#define FA_HIDDEN "$02"    /* Hidden file          */
#define FA_SYSTEM "$04"    /* System file          */
#define FA_SUBDIR "$10"    /* Subdirectory         */
#define FA_ARCH   "$20"    /* Archive file         */
#define FA_NORMAL "$40"    /* Normal file - No read/write restrictions */

/* File usage Modes */
#define FM_ACCESS_WO "$0001"  /* write only           */
#define FM_ACCESS_RW "$0002"  /* read/write           */
#define FM_ACCESS_RO "$0004"  /* read only            */
#define FM_SH_DENYRW "$0010"  /* deny read/write mode */
#define FM_SH_DENYWR "$0020"  /* deny write mode      */
#define FM_SH_DENYRD "$0030"  /* deny read mode       */
#define FM_SH_DENYNO "$0040"  /* deny none mode       */

/* Exclusively for OS2 and DOS >4.0 */
#define FM_RETURNERR "$2000"  /* return error rather than call crit hand. */
#define FM_WRITETHRU "$4000"  /* write through        */

/* Creation Flags */
/* Actions if file exists (low nibble) :	*/
#define CR_EX_FAIL	"$00"
#define CR_EX_OPEN	"$01"
#define CR_EX_REPLACE	"$02"

/* Actions if file doesn't exist (high nibble):	*/
#define CR_NOEX_FAIL	"$00"
#define CR_NOEX_CREATE	"$10"
