/*
	this is a demonstration of dObject's printer handling features
	open the printer and print 10 lines to it without echoing the
	lines to the screen
*/
p = new(File,"prn:",1,0,0);
writeDevice(p);
i = 1;
while(i < 10) {
	? "printing line ",i;
	i = i+1;
}

/*
	note: on some printers (HP II, Epson EPL-6000) it is necessary
	to send an ESC E to flush the printer... consult your printer 
	manual to see if the next line is necessary, otherwise the
	"flush" method should work OK by itself
*/
? chr(27),'E';
flush(p);
close(p);
? "printout is done";
